Summary: Culmus Hebrew fonts support for tetex
Name: tetex-fonts-hebrew
Version: 0.1
Release: 7%{?dist}
URL: http://culmus.sf.net
Source: tetex-fonts-hebrew-%{version}.tar.gz
License: GPL
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: tetex, tetex-afm, fonts-hebrew
Requires: tetex fonts-hebrew
BuildArch: noarch
Requires(post): /usr/bin/texhash /usr/bin/updmap-sys
Requires(postun): /usr/bin/texhash /usr/bin/updmap-sys

%description
Support using the Culmus Hebrew fonts in LaTeX. 

%prep
%setup -q

%build
make

%install
%define texmf %{_datadir}/texmf
rm -rf %{buildroot}
make TEXMFDIR=%{buildroot}/%{texmf} CULMUSDIR=../../../../fonts/hebrew install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc hebhello.tex culmus-ex.tex GNU-GPL
%{texmf}/fonts/afm/public/culmus
%{texmf}/fonts/type1/public/culmus
%{texmf}/fonts/enc/dvips/culmus/he8.enc
%{texmf}/fonts/map/dvips/culmus.map
%{texmf}/fonts/tfm/public/culmus
%{texmf}/fonts/vf/public/culmus
%{texmf}/tex/latex/culmus
%{texmf}/tex/generic/0babel

%post
/usr/bin/texhash
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "1" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --enable Map culmus.map
fi

%postun
conffile="$(/usr/bin/texconfig-sys conf | /bin/grep updmap.cfg)"
if [ "$1" = "0" ]; then
  /usr/bin/updmap-sys --quiet --nohash --cnffile ${conffile} --disable culmus.map
fi
/usr/bin/texhash

%changelog
* Sat Sep 16 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-7
- Rebuild for Fedora Extras 6
* Sun Jul  9 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-6
- bump version to mend upgrade path. Bug #197127
* Wed Jun 21 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-5
- Change summary line and directory ownership according to 195585#c8
* Tue Jun 20 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-4
- steal scriptlets from tetex-font-kerkis
* Mon Jun 19 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-3
- change spec (and a bit of mkCLMtfm) according to bug 195585#c5
* Thu Jun 15 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.1-1
- Initial build.
